org.springframework.batch.item.jms

## Class JmsMethodInvocationRecoverer<T>

- java.lang.Object
- - org.springframework.batch.item.jms.JmsMethodInvocationRecoverer<T>

- All Implemented Interfaces:
    org.springframework.retry.interceptor.MethodInvocationRecoverer<T>

      public class JmsMethodInvocationRecoverer<T>
      extends java.lang.Object
      implements org.springframework.retry.interceptor.MethodInvocationRecoverer<T>

  Author:
    Dave Syer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.commons.logging.Log` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmsMethodInvocationRecoverer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `recover(java.lang.Object[] items, java.lang.Throwable cause)` Send one message per item in the arguments list using the default destination of the jms template.
    `void` | `setJmsTemplate(org.springframework.jms.core.JmsOperations jmsTemplate)` Setter for jms template.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected org.apache.commons.logging.Log logger

  - ### Constructor Detail

    - #### JmsMethodInvocationRecoverer

          public JmsMethodInvocationRecoverer()

  - ### Method Detail

    - #### setJmsTemplate

          public void setJmsTemplate(org.springframework.jms.core.JmsOperations jmsTemplate)

      Setter for jms template.
      Parameters:
        `jmsTemplate` - a `JmsOperations` instance

    - #### recover

          public T recover(java.lang.Object[] items,
                           java.lang.Throwable cause)

      Send one message per item in the arguments list using the default destination of the jms template. If the recovery is successful null is returned.
      Specified by:
        `recover` in interface `org.springframework.retry.interceptor.MethodInvocationRecoverer<T>`
      See Also:
        `MethodInvocationRecoverer.recover(Object[], Throwable)`